Summary: Password Database Library
Name: pwdb
Version: 0.53
Release: 2
Copyright: GPL or BSD
Group: Base
Source: ftp://sysadm.sorosis.ro/pub/libpwdb/libpwdb-0.53.tar.gz
Patch: libpwdb-0.53-defaults.patch
Patch1: libpwdb-0.53-sgml2ps.patch
Patch2: libpwdb-0.53-glibc.patch

%description
pwdb (Password Database Library) allows configurable access to
and management of /etc/passwd, /etc/shadow, and network authentication
systems including NIS and Radius.  It is alpha-quality software included
to complete the PAM suite and is neither supported by Red Hat nor used by
the default configuration.

%prep
%setup -n libpwdb-0.53
%patch -p1
%patch1 -p1 -b .sgml2ps

%ifarch alpha
%patch2 -p1 -b .glibc
%endif

%build
rm default.defs
ln -s defs/redhat.defs default.defs
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
(cd doc; make)

%install
make install

%post
ldconfig

%files
#%doc Copyright doc/pwdb.txt doc/pwdb.ps doc/html
/usr/include/pwdb
/lib/libpwdb.a
/lib/libpwdb.so
/lib/libpwdb.so.0.53
